Main Page | Class Hierarchy | Class List | Directories | File List | Class Members

# kokMainWidget Class Reference

`#include <kokmainwidget.h>`

Inheritance diagram for kokMainWidget:

List of all members.

## Public Slots
virtual void | fileNew ()
virtual void | fileOpen ()
virtual void | fileSave ()
virtual void | fileSaveAs ()
virtual void | filePrint ()
virtual void | fileExit ()
virtual void | editUndo ()
virtual void | editRedo ()
virtual void | editCut ()
virtual void | itemHighlighted (const QString &str)
virtual void | editPaste ()
virtual void | editPref ()
| Modify the user preferences.
virtual void | editFind ()
virtual void | helpIndex ()
virtual void | helpContents ()
virtual void | helpAbout ()
virtual void | newSearchRequest (searchRequest sr)
virtual void | newTabSelected (int id)
virtual void | closeAllTab ()
virtual void | newTabSelected (QString str)
virtual void | closeThisTab (QString name)
virtual void | closeAllOther (QString name)
## Signals
void | displayMessage (QString)
## Public Member Functions
| kokMainWidget (QWidget *parent=0, const char *name=0)
void | saveOptions ()
## Protected Attributes
QMap< QString, recipe * > | dicoAll
QValueVector< recipe * > | allRecipes
dicoRecipe | dicoFind
QStringList * | allNames
QValueVector< searchResult > | searches
QStringList * | allElementsName
QListBox * | nameListBox
QTabBarExt * | tabWidget
QTextEdit * | recipeAllTextEdit
units | userUnits
| The user prefered units for displaying the recipes of the cocktails(cl, oz,...).

## Detailed Description

Main widget responsible of showing the list of available cocktails and managing the actions made by the user.

The documentation for this class was generated from the following files:

- code/cocktail/src/kokmainwidget.h
- code/cocktail/src/kokmainwidget.cpp
- code/cocktail/src/moc_kokmainwidget.cpp